Last Comment Bug 596112 - Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_GC]
: Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_GC]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-13 18:48 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13-fixed
.16-fixed


Attachments
testcase (89.26 KB, application/zip)
2010-09-13 18:48 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (13.83 KB, text/plain)
2010-09-13 18:49 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-13 18:48:58 PDT
Created attachment 474960 [details]
testcase

Tag: b'fpgm' Checksum: 0x000103e6 Offset:  348/0x0000015c Length: 950

Table: b'fpgm'
Number of replaced values: 2
Offset: 104/0x000068  Value: ['20', '00']
Offset: 638/0x00027e  Value: ['00', '00', '00', '00', '00', '00', '00', '01']

THe decompiled fpgm table can be found inside the archive.
Comment 1 Christoph Diehl [:posidron] 2010-09-13 18:49:27 PDT
Created attachment 474961 [details]
callstack
Comment 2 John Daggett (:jtd) 2010-09-28 23:26:09 PDT
Fixed in 10.6.5 10H542 (seed build)
Comment 3 Jonathan Kew (:jfkthame) 2010-09-29 04:43:43 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 4 Al Billings [:abillings] 2010-11-19 17:34:28 PST
Verified fixed for 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X
10.6; en-US; rv:1.9.2.13pre) Gecko/20101119 Namoroka/3.6.13pre. Crashes in
1.9.2.12 when run on OS X 10.6.4.

Note You need to log in before you can comment on or make changes to this bug.